#include <tiny2313a.h>
#include "Controller.h"

extern bit					fTick;
extern flash const unsigned char	TimeArray[14];            //   
extern unsigned char		BAM_Level_PortA[9];	//   
extern unsigned char		BAM_Level_PortB[9];
extern unsigned char		BAM_Level_PortD[9];
extern flash const unsigned char	NumBits[14];
extern unsigned char		n;
extern unsigned char		m;

// Timer 0 output compare A interrupt service routine
//      1   128   31,25 
interrupt [TIM0_COMPA] void timer0_compa_isr(void)
{
	PORTA = BAM_Level_PortA[m];			//    
    PORTB = BAM_Level_PortB[m];
	PORTD = BAM_Level_PortD[m]; 		  
    OCR0A = TimeArray[n];	//    
    n++;
    if (n > 12) n = 0;
    m = NumBits[n]; 
}



// Timer1 output compare A interrupt service routine
interrupt [TIM1_COMPA] void timer1_compa_isr(void)
{
//    50         
	fTick = 1;
}

